Bug 1817551 - Deprecate SEED ciphers
Summary: Deprecate SEED ciphers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.7
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: nss-nspr-maint
QA Contact: BaseOS QE Security Team
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1817533
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-26 14:54 UTC by Hubert Kario
Modified: 2021-03-16 15:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
.`NSS` SEED ciphers have been deprecated The Mozilla Network Security Services (`NSS`) library will not support TLS cipher suites that use a SEED cipher in a future release. For deployments that rely on SEED ciphers, Red Hat recommends enabling support for other cipher suites. This way, you ensure smooth transitions when NSS will remove support for them. Note that the SEED ciphers are already disabled by default in RHEL.
Clone Of: 1817533
Environment:
Last Closed: 2021-03-16 15:13:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Mozilla Foundation 1622033 0 P2 RESOLVED Add option to build without SEED 2021-02-11 14:04:44 UTC

Description Hubert Kario 2020-03-26 14:54:10 UTC
Upstream NSS plans to remove support for SEED ciphers.

Inform users that we will follow upstream and remove support for them in the future.


Note You need to log in before you can comment on or make changes to this bug.